2.1.1 Release Notes

Fixing a couple of bugs in WP-CLI commands for sync scenarios.

Released on 19-Nov-2015.

Note: this is an EAP release

Early Access is a period during which VersionPress is reasonably stable but still young, limited in scope and an external backup is recommended at all times. Learn more about EAP.

New in 2.1.1

  • Fixed regression from 2.1 that broke the vp clone command (#556).
  • Fixed a small bug in restore-site command (#555). The bug occurred only on Windows.
  • Fixed bug in vp clone command when a domain didn't match the directory structure and --siteurl was ignored (#519).

Upgrade notes

2.1.1 is upgradable from 2.1. Simply replace the plugin on your server.

System requirements

General system requirements:

  • PHP 5.3.4 or later
  • WordPress 4.1 or later (should work on 3.9+ but it's only officially tested on 4.1+)
  • Git 1.9 or later
  • proc_open() enabled on the server

System requirements for sync / multi-instance workflows:

  • For 2.x, we recommend custom server / VPS as most hosting providers will pose further restrictions on creating site clones.